# -*- coding: iso_8859_1 -*-

import astro
import numpy as np

#------ input parameters ------
Folder = u"C:\\Documents and Settings\\Jrme\\Bureau\\29mar2011\\processing\\Chryseis\\"
Imagelist = ["Chryseis-calibrated-" + str(i+1) + ".fit" for i in range(304)]
Imagelist2 = ["Chryseis-shifted2-" + str(i+1) + ".fit" for i in range(304)]

#------ loads data and headers ------
for i in range(len(Imagelist)):
	image = astro.getdata(Folder, [Imagelist[i]])
	headers = astro.getheaders(Folder, [Imagelist[i]])

	image = astro.translate_bilinear(image,[0.5,0.5])
	image = astro.translate_bilinear(image,[-0.5,-0.5])

	#------ save (eventually modified) image list under new name ------
	#astro.save_fits(images, headers, Folder, Imagelist2)
	astro.save_fits(image, [headers[0]], Folder, [Imagelist2[i]])

raw_input()